macOSEndpointProtectionConfiguration abrufen
Namespace: microsoft.graph
Wichtig: Microsoft Graph-APIs unter der /beta-Version können geändert werden. Die Produktionsverwendung wird nicht unterstützt.
Hinweis: Die Microsoft Graph-API für Intune setzt eine aktive Intune-Lizenz für den Mandanten voraus.
Lesen von Eigenschaften und Beziehungen des macOSEndpointProtectionConfiguration-Objekts.
Voraussetzungen
Eine der nachfolgenden Berechtigungen ist erforderlich, um diese API aufrufen zu können. Weitere Informationen, unter anderem zur Auswahl von Berechtigungen, finden Sie im Artikel zum Thema Berechtigungen.
| Berechtigungstyp | Berechtigungen (von der Berechtigung mit den wenigsten Rechten zu der mit den meisten Rechten) |
|---|---|
| Delegiert (Geschäfts-, Schul- oder Unikonto) | DeviceManagementConfiguration.Read.All, DeviceManagementConfiguration.ReadWrite.All |
| Delegiert (persönliches Microsoft-Konto) | Nicht unterstützt |
| Anwendung | DeviceManagementConfiguration.Read.All, DeviceManagementConfiguration.ReadWrite.All |
HTTP-Anforderung
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
GET /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}
Optionale Abfrageparameter
Diese Methode unterstützt die OData-Abfrageparameter zur Anpassung der Antwort.
Anforderungsheader
| Kopfzeile | Wert |
|---|---|
| Authorization | Bearer<token> erforderlich |
| Annehmen | application/json |
Anforderungstext
Geben Sie für diese Methode keinen Anforderungstext an.
Antwort
Wenn die Methode erfolgreich ist, werden der Antwortcode und das 200 OK macOSEndpointProtectionConfiguration-Objekt im Antworttext zurückgegeben.
Beispiel
Anforderung
Nachfolgend sehen Sie ein Beispiel der Anforderung.
GET https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Antwort
Nachfolgend sehen Sie ein Beispiel der Antwort. Hinweis: Das hier gezeigte Antwortobjekt ist möglicherweise aus Platzgründen abgeschnitten. Von einem tatsächlichen Aufruf werden alle Eigenschaften zurückgegeben.
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 3117
{
"value": {
"@odata.type": "#microsoft.graph.macOSEndpointProtectionConfiguration",
"id": "7bf7f3ca-f3ca-7bf7-caf3-f77bcaf3f77b",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"gatekeeperAllowedAppSource": "macAppStore",
"gatekeeperBlockOverride": true,
"firewallEnabled": true,
"firewallBlockAllIncoming": true,
"firewallEnableStealthMode": true,
"firewallApplications": [
{
"@odata.type": "microsoft.graph.macOSFirewallApplication",
"bundleId": "Bundle Id value",
"allowsIncomingConnections": true
}
],
"fileVaultEnabled": true,
"fileVaultSelectedRecoveryKeyTypes": "institutionalRecoveryKey",
"fileVaultInstitutionalRecoveryKeyCertificate": "ZmlsZVZhdWx0SW5zdGl0dXRpb25hbFJlY292ZXJ5S2V5Q2VydGlmaWNhdGU=",
"fileVaultInstitutionalRecoveryKeyCertificateFileName": "File Vault Institutional Recovery Key Certificate File Name value",
"fileVaultPersonalRecoveryKeyHelpMessage": "File Vault Personal Recovery Key Help Message value",
"fileVaultAllowDeferralUntilSignOut": true,
"fileVaultNumberOfTimesUserCanIgnore": 3,
"fileVaultDisablePromptAtSignOut": true,
"fileVaultPersonalRecoveryKeyRotationInMonths": 12,
"fileVaultHidePersonalRecoveryKey": true,
"advancedThreatProtectionRealTime": "enabled",
"advancedThreatProtectionCloudDelivered": "enabled",
"advancedThreatProtectionAutomaticSampleSubmission": "enabled",
"advancedThreatProtectionDiagnosticDataCollection": "enabled",
"advancedThreatProtectionExcludedFolders": [
"Advanced Threat Protection Excluded Folders value"
],
"advancedThreatProtectionExcludedFiles": [
"Advanced Threat Protection Excluded Files value"
],
"advancedThreatProtectionExcludedExtensions": [
"Advanced Threat Protection Excluded Extensions value"
],
"advancedThreatProtectionExcludedProcesses": [
"Advanced Threat Protection Excluded Processes value"
]
}
}
Feedback
Feedback senden und anzeigen für